package de.intevation.flys.artifacts.access;

import org.apache.log4j.Logger;

import de.intevation.artifacts.CallContext;
import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.utils.FLYSUtils;

/** For the moment, light-weight wrapper around FLYSUtils. */
// TODO employ 'Caching' like other Accesses, remove usage of FLYSUtils.
public class GaugeAccess
extends RangeAccess
{
    private static Logger logger = Logger.getLogger(GaugeAccess.class);

    public GaugeAccess(FLYSArtifact artifact, CallContext context) {
        super(artifact, context);
    }


    public String getGaugeName() {
        return FLYSUtils.getGaugename(this.getArtifact());
    }

    // TODO there is also getGauges in FLYSUtils...
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
